# Raycast Extension for Akkoma

![overview](./media/command.png)

 
-  [Akkoma](https://akkoma.social/) 
-  [Raycast](https://raycast.com)

**Features**:
- Write status with markdown support.
- Publish simple status with text.
- Publish scheduled status with natural date format.
- Publish status with attachments (image, video, files); add alt text to the image when only one image is attached.
- Save draft status.
- View your bookmarked statuses.
- View your latest statuses.
- Open the latest published status that was published from Raycast through the actions.

## Settings

Input your Akkoma / Pleroma instance's URL, then click the "Continue" button in the bottom-right corner.

<img src="./media/login.png" alt="login" style="width:700px;">

## Examples:

### Add simple status with text

<img src="./media/add-simple-status.png" alt="Add simple status with text" style="width:700px;">

### Add scheduled status
<img src="./media/add-status.png" alt="Add scheduled status" style="width:700px;">

<img src="./media/add-scheduled-status.png" alt="Add scheduled status" style="width:700px;">

### Add status with image and alt text

<img src="./media/add-status-alt-text.png" alt="Add status with image and alt text" style="width:700px;">

### View bookmarked status 

<img src="./media/view-bookmarks.png" alt="Add simple status with text" style="width:700px;">

### View your latest status

<img src="./media/view-my-status.png" alt="View your latest status" style="width:700px;">

### Mark status as sensitive 
Toggle the "Sensitive" checkbox to mark the attached image as sensitive, or add a content warning to the status.

<img src="./media/add-cw.png" alt="Mark status as sensitive " style="width:700px;">

### Write status with markdown
Toggle the "Markdown" checkbox to render markdown in the text file. Markdown shortcuts are also supported (e.g., pressing `⌘` + `B` will add `**bold**` around the selected text, `⌘` + `I` will make the selected text italic, etc.).

<img src="./media/markdown.png" alt="Writing status with markdown" style="width:700px;">

### Draft status 

<img src="./media/draft-status.png" alt="Draft status" style="width:700px;">
## Available Settings

### Status limit
Based on performance considerations, the number of statuses displayed is limited, with the default being 20. You can adjust this limit in the extension settings.

<img src="./media/setting-bookmarks.png" alt="bookmark limit" style="width:700px;">

<img src="./media/setting-status.png" alt="status limit" style="width:700px;">

### Default visibility

<img src="./media/setting-visibility.png" alt="Default visibility" style="width:700px;">

## Actions 
<img src="./media/actions.png" alt="actions" style="width:400px;">

## TODO
- [ ] Fork to Mastodon
